
From: Magnus Damm <damm@opensource.se>

This patch makes the code compile with CONFIG_SYSCTL unset.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sysctl.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN kernel/sysctl.c~add-do_proc_doulonglongvec_minmax-to-sysctl-functions-fix-fix kernel/sysctl.c
--- 25/kernel/sysctl.c~add-do_proc_doulonglongvec_minmax-to-sysctl-functions-fix-fix	Wed Nov 10 16:28:16 2004
+++ 25-akpm/kernel/sysctl.c	Wed Nov 10 16:28:16 2004
@@ -2305,6 +2305,12 @@ int proc_doulongvec_minmax(ctl_table *ta
 	return -ENOSYS;
 }
 
+int proc_doulonglongvec_minmax(ctl_table *table, int write, struct file *filp,
+			   void __user *buffer, size_t *lenp, loff_t *ppos)
+{
+	return -ENOSYS;
+}
+
 int proc_doulongvec_ms_jiffies_minmax(ctl_table *table, int write,
 				      struct file *filp,
 				      void __user *buffer,
_
